Skip to main content
POST
Create a version-graph branch

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Body

application/json
fromBranchId
string
required
Required string length: 1 - 200
idempotencyKey
string
required
Required string length: 1 - 200
name
string
required
Required string length: 1 - 120
projectId
string
required
Required string length: 1 - 200
fromCommitId
string
Pattern: ^sha256:([0-9a-f]{64})$

Response

Create a version-graph branch

branch
object
required
commit
object
required